# Screensaver

Or, rather, some full-screen animated visual fun.

## Build

`make`

after building and/or installing dependencies:

- [libscerror](https://git.bobpolis.com/bob/libscerror/)
- [libscgui](https://git.bobpolis.com/bob/libscgui/)
- [libscheaders](https://git.bobpolis.com/bob/libscheaders/)
- [libscnumerics](https://git.bobpolis.com/bob/libscnumerics/)
- [libscscreensaver](https://git.bobpolis.com/bob/libscscreensaver/)
- [libscstring](https://git.bobpolis.com/bob/libscstring/)

and, the development versions of the following libraries:

- nlohmann json
- Cairo
- SDL2
- SDL2_image

## Install

`sudo make install`

or, on OpenBSD:

`doas gmake install`

## Run

`screensaver`

: Run the Default module.

`screensaver -l`

: List available modules.

`screensaver FadingRects`

: Run the FadingRects module on the main screen.

`screensaver -w FadingRects`

: Run the FadingRects module in a window, so you can reposition it on any desired
  screen, and resize it.

`screensaver -r`

: Run a randomly chosen module.

## Make your own module

`make new <modulename>`

Then, write bodies for the given member functions in your plugin's source file.

(I know, this is too short and cryptic. More documentation on using the
screensaver library and writing modules follows later.)
